summaryrefslogtreecommitdiffstats
path: root/droid-ttf
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-06-06 23:11:19 +0000
committer Eric Hameleers <alien@slackware.com>2009-06-06 23:11:19 +0000
commit5eab2f771742dd7cb59d70d666c481868066d4aa (patch)
treead254a890c025a066871488e70f7658951ce55f4 /droid-ttf
parent5db2dda52ba2d28b1578d0dcc19e4687e2c7e923 (diff)
downloadasb-5eab2f771742dd7cb59d70d666c481868066d4aa.tar.gz
asb-5eab2f771742dd7cb59d70d666c481868066d4aa.tar.xz
Initial revision
Diffstat (limited to 'droid-ttf')
-rwxr-xr-xdroid-ttf/build/droid-ttf.SlackBuild154
1 files changed, 154 insertions, 0 deletions
diff --git a/droid-ttf/build/droid-ttf.SlackBuild b/droid-ttf/build/droid-ttf.SlackBuild
new file mode 100755
index 00000000..a93f529d
--- /dev/null
+++ b/droid-ttf/build/droid-ttf.SlackBuild
@@ -0,0 +1,154 @@
+#!/bin/sh
+# $Id$
+# Copyright 2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: droid-ttf
+# Descr: a TrueType font designed for the Android platform
+# URL: http://android.git.kernel.org/
+# Needs:
+# Changelog:
+# 20090607-1: 07/Jun/2009 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh droid-ttf.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=droid-ttf
+VERSION=${VERSION:-20090607}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+
+DOCS="MODULE_LICENSE_APACHE2 NOTICE README.txt"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# GIT snapshots have no fixed download URL...
+# See http://android.git.kernel.org/?p=platform/frameworks/base.git;a=tree;f=data/fonts;hb=HEAD and click on "snapshot"
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" == "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+echo "Extracting the source archive(s) for $PRGNAM..."
+mkdir -p $PKG$FONTDIR
+tar -C $PKG$FONTDIR -xvf ${SOURCE}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Move the fonts into place:
+mv base/Droid*.ttf $PKG$FONTDIR/
+
+# Add the fontconfig file and symlink.
+mkdir -p $PKG/etc/fonts/conf.avail
+cp $SRCDIR/65-droid.conf $PKG/etc/fonts/conf.avail/
+
+# If you want to use Droid fonts as the default Serif/Sans/Monospace font,
+# create the following symlink and remove the symlink that makes Liberation
+# the default: "rm /etc/fonts/conf.d/60-liberation.conf"
+#( cd $PKG/etc/fonts/conf.d && \
+# ln -sf ../conf.avail/65-droid.conf
+#)
+
+# Post-install script:
+mkdir -p $PKG/install
+cat <<EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x .$XPREF/bin/mkfontdir ]; then
+ chroot . $XPREF/bin/mkfontscale $FONTDIR
+ chroot . $XPREF/bin/mkfontdir $FONTDIR
+fi
+if [ -x .$XPREF/bin/fc-cache ]; then
+ chroot . $XPREF/bin/fc-cache -f $FONTDIR
+fi
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd base; cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+